Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface ProviderXtra

All Known Subinterfaces:
  ProviderXtra2

public interface ProviderXtra
extends Provider

First Extension to the Provider interface. This interface represents an extension to the Provider interface. An extension interface was used to code using the original interface would not be broken by adding new methods.

Method Summary
`PortletContainerRenderer` | `getContainerRenderer()` Returns the default portlet container renderer The portlet container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports.
`void` | `setContainerRenderer(java.lang.Object renderer)` Sets the default portlet container renderer The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports Each portlet can specify it's own container renderer and you can specify a default at the provider level to be used by any portlet that does not explicitly specify it's own container renderer
`void` | `setContainerRenderer(PortletContainerRenderer renderer)` Sets the default portlet container renderer The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports Each portlet can specify it's own container renderer and you can specify a default at the provider level to be used by any portlet that does not explicitly specify it's own container renderer

Methods inherited from interface oracle.portal.provider.v1.Provider
`deregister, getPortlet, getPortlets, getProviderId, getProviderRepositoryPath, getSubscriber, getVersion, init, initSession, initSession, log, log, register`

Method Detail

### getContainerRenderer

    public PortletContainerRenderer getContainerRenderer()

  Returns the default portlet container renderer The portlet container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports. Each portlet can specify it's own container renderer and you can specify a default at the provider level to be used by any portlet that does not explicitly specify it's own container renderer
  Returns:
    the portlet container renderer or null if the provider does not have a default container renderer

### setContainerRenderer

    public void setContainerRenderer(PortletContainerRenderer renderer)
                              throws ProviderException

  Sets the default portlet container renderer The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports Each portlet can specify it's own container renderer and you can specify a default at the provider level to be used by any portlet that does not explicitly specify it's own container renderer
  Parameters:
    `renderer` - the portlet container renderer

### setContainerRenderer

    public void setContainerRenderer(java.lang.Object renderer)
                              throws ProviderException

  Sets the default portlet container renderer The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports Each portlet can specify it's own container renderer and you can specify a default at the provider level to be used by any portlet that does not explicitly specify it's own container renderer
  Parameters:
    `renderer` - the default portlet container renderer. Even though the type of the parameter is Object, the parameter must be an instance of PortletContainerRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD